# MongoDB\Driver\Exception\CommandException::getResultDocument

(mongodb >= 1.5.0)

MongoDB\Driver\Exception\CommandException::getResultDocument — Returns the result document for the failed command

### Description

final public MongoDB\Driver\Exception\CommandException::getResultDocument ( void ) : object

Returns the result document for the failed command.

### Parameters

This function has no parameters.

### Return Values

The result document for the failed command.

### See Also

- MongoDB\Driver\Manager::executeCommand() - Execute a database command